ServerEvents.recipes(event => {
    event.remove({ output: 'sophisticatedstorage:controller' })
    event.remove({ id: 'sophisticatedbackpacks:feeding_upgrade' })
    event.shaped(
        Item.of('sophisticatedbackpacks:feeding_upgrade'),
        [
            ' A ',
            'BCD',
            ' E '
        ],
        {
            A: 'minecraft:golden_carrot',
            B: 'minecraft:enchanted_golden_apple',
            C: 'sophisticatedbackpacks:upgrade_base',
            D: 'minecraft:glistering_melon_slice',
            E: 'minecraft:totem_of_undying'
        }
    )
    event.remove({ id: 'sophisticatedstorage:feeding_upgrade' })
    event.shaped(
        Item.of('sophisticatedbackpacks:feeding_upgrade'),
        [
            ' A ',
            'BCD',
            ' E '
        ],
        {
            A: 'minecraft:golden_carrot',
            B: 'minecraft:enchanted_golden_apple',
            C: 'sophisticatedstorage:upgrade_base',
            D: 'minecraft:glistering_melon_slice',
            E: 'minecraft:totem_of_undying'
        }
    )
    event.remove({ output: 'sophisticatedbackpacks:stack_upgrade_omega_tier' })
    event.remove({ output: 'sophisticatedstorage:stack_upgrade_omega_tier' })
    event.remove({ id: 'sophisticatedstorage:storage_link' })
})